Блог ОС CloudLinux - обновлено mod_lsapi
Блог CloudLinux OS

Обновление для mod_lsapi

Обновление для mod_lsapi

Новые обновленные пакеты mod_lsapi для CloudLinux 6 и 7, а также для Apache 2.4 (CloudLinux 6) и EasyApache 4 (CloudLinux 6 и 7) доступны из нашего репозитория обновлений.

mod_lsapi 1.1-16

it-apache24-mod_lsapi 1.1-16

httpd24-mod_lsapi 1.1-16

Список изменений:

  • MODLS-433: реализован новый lsapi-механизм и веб-интерфейс cPanel;
  • добавлено / opt / cloudlinux в качестве безопасного пути;
  • MODLS-435: конфликт с mpm_itk добавлен в EA4 mod_lsapi;
  • MODLS-434: значение обработчика не уменьшается после обновления;
  • MODLS-403: добавлена ​​проверка CloudLinux на liblsapi;
  • MODLS-436: добавлена ​​сила да для swithch_mod_lsapi --setup;
  • MODLS-429: switch_mod_lsapi --build-native-lsphp не выполняется случайным образом после upcp на EA3;
  • MODLS-430: добавлены обработчики lsphp пользователям панели Plesk правильно;
  • Добавлена ​​опция lsapi_output_buffering;
  • MODLS-414: добавлен префикс lsphp для сообщения журнала ошибок;
  • MODLS-417: бэкэнд-журнал изменен на собственный файл на EA4;
  • MODLS-424: деинсталляция работает правильно;
  • MODLS-423: значение флага fp_value htaccess изменено;
  • MODLS-422: добавлена ​​возможность отключения lsapi, когда она включена глобально для EA3;
  • MODLS-418: фиксированное беспроигрышное поведение, когда отображались значения .user.ini, но игнорировались;
  • MODLS-419: созданный скрипт для переключения lsapi из старого механизма (--enable-global, --enable-domain);
  • MODLS-416: lsapi.conf изменяется после обновления;
  • MODLS-410: приоритет php_value от httpd.conf, опущенного до PERDIR;
  • MODLS-401: добавлена ​​динамическая настройка параметра lsapi_backend_children;
  • MODLS-411: фиксированное разыменование указателя NULL в lsapi_log;
  • MODLS-408: добавлен обработчик PHP71;
  • MODLS-391: буферизация временного файла полностью, прежде чем передавать его на серверный процесс PHP;
  • MODLS-399: выбор источников litespeed по https для бета;
  • MODLS-368: добавлен обработчик mod_lsapi для обработчиков EA4 PHP;
  • MODLS-405: специальное значение DocRoot добавляется в параметр lsapi_phprc;
  • MODLS-340: исправлены функции CRIU;
  • MODLS-388: ошибка поиска символа destroy_lve исправлена;
  • MODLS-384: конфликт с ea-apache24 добавлен в mod_lsapi spec;
  • MODLS-379: / usr / selector и ea-php местоположения для lsphp, добавленные в правила CSF;
  • MODLS-378: разрешения sulsphp_log изменены на стандартные Apache;
  • MODLS-376: фиксированный селектор PHP на Plesk с mod_lsapi;
  • MODLS-370: (CRIU) позволяет создавать изображения для разных виртуальных хостов под одним пользователем,
  • MODLS-193: добавлена ​​специальная поддержка php.ini;
  • MODLS-347: удалено LSCAPI_CRIU_SYNC_FD из вывода lsphp (phpinfo);
  • MODLS-364: mod_lsapi с CRIU: не создает изображения CRIU в каталоге, который задан параметром lsapi_criu_imgs_dir_path в файле lsapi.conf;
  • MODLS-350: не hardcode always_populate_raw_data;
  • MODLS-344: Plesk 17.0.17 правильно читает /usr/local/psa/admin/conf/templates/custom/domain/domainVirtualHost.php;
  • MODLS-339: глобальный флаг для сигнализации об удалении всех изображений для CRIU;
  • MODLS-311: добавлен сервис lsapi-cache;
  • MODLS-345: добавлено создание дампа при остановке lsphp;
  • MODLS-290: проблема с нестандартным кодом ответа исправлена.

Обновление:

cPanel & RPM Based

$ yum clean all
$ yum update liblsapi liblsapi-devel mod_lsapi
$ service httpd restart

DirectAdmin

$ yum clean all
$ yum update liblsapi liblsapi-devel
$ cd /usr/local/directadmin/custombuild
$ ./build update
$ ./build mod_lsapi

Чтобы установить, следуйте инструкциям по ссылке:

http://docs.cloudlinux.com/index.html?installation_mod_lsapi.html

EasyApache 4

Обновление:

$ yum clean all
$ yum update liblsapi liblsapi-devel еа-apache24-mod_lsapi
$ service httpd restart

После обновления ea-apache24-mod_lsapi все домены переключились на обработчик по умолчанию и включили mod_lsapi назад, необходимо было включить lsapi-обработчик через диспетчер MultiPHP.

Мы заметили, что после обновления и автоматизировать этот процесс нелегко включить lsapi-обработчик через MultiPHP-менеджер.

Итак, если вы обновляете ea-apache24-mod_lsapi со стабильного или ea-apache24-mod_lsapi-1.1-9 или ниже от бета-версии, после обновления вам нужно запустить

/ usr / bin / switch_mod_lsapi --setup

для добавления обработчика lsapi в MultiPHP Manager.

После этого вам будет предложено включить lsapi-обработчик для правильных версий PHP, в зависимости от того, как вы раньше использовали mod_lsapi (--enable-global, --enable-domain), а затем перезапустите Apache.

Обратите внимание, что для ea-apache24-mod_lsapi были отключены следующие параметры:

/ usr / bin / switch_mod_lsapi --enable-domain
/ usr / bin / switch_mod_lsapi --disable-domain
/usr/bin/switch_mod_lsapi --enable-global
/ usr / bin / switch_mod_lsapi --disable-global

Вы можете управлять своими доменами с помощью PHP-версии и обработчиком lsapi из MultiPHP Manager.

Обратите внимание, что обработчик PHP lsapi доступен только для бета-версии.

Пример 1:

1. ea-apache24-mod_lsapi-1.0-30 был установлен и включен глобально.

2. Команда

yum update ea-apache24-mod_lsapi --enablerepo = cloudlinux-updates-testing --enablerepo = cl-ea4- тестирование

был выполнен.

3. В то время как

switch_mod_lsapi --setup

не вызывается, mod_lsapi будет работать по-прежнему.

4. switch_mod_lsapi --setup вернется:

Инструкция: http://docs.cloudlinux.com/index.html?apache_mod_lsapi.html

исправление файла apache.pm

Патч был применен правильно ...

Добавлен крюк для System :: upcp для перехвата реестра

mod_lsapi переключился на включение и выключение через MultiPHP Manager (/ Home / Software / MultiPHP Manager)

Вы используете глобально mod_lsapi. Вы хотите включить mod_lsapi через MultiPHP Manager?

Текущий PHP будет переключен на обработчик lsapi:

ea-php53 COW: suphp

ea-php54 COW: suphp

ea-php55 SAPI: cgi

ea-php56 COW: suphp

ea-php70 SAPI: cgi

ea-php71 COW: suphp

Если вы наберете no, то mod_lsapi будет отключен, и вы сможете снова включить его из MultiPHP Manager.

Вы хотите продолжить? [Y / N]

5. Если выбрано N, то mod_lsapi переходит к новому типу интеграции с cPanel и восстанавливает файлы php.conf и suphp.conf. Mod_lsapi будет отключен.

6. Если Y выбран, то все установленные версии будут перемещаться в обработчик lsapi.

Установка ea-php53 в обработчик lsapi ...

Установка ea-php54 в обработчик lsapi ...

Установка ea-php55 в обработчик lsapi ...

Установка ea-php56 в обработчик lsapi ...

Установка ea-php70 в обработчик lsapi ...

Установка ea-php71 в обработчик lsapi ...

mod_lsapi_handler

Пример 2:

1. ea-apache24-mod_lsapi-1.0-30 был установлен и включен только для одного домена, но все остальные домены имеют одну и ту же версию ea-php56.

2. Команда

yum update ea-apache24-mod_lsapi --enablerepo = cloudlinux-updates-testing --enablerepo = cl-ea4-тестирование

был выполнен.

3. В то время как switch_mod_lsapi --setup не вызывается, mod_lsapi будет работать по-прежнему.

4. switch_mod_lsapi --setup вернется:

Инструкция: http://docs.cloudlinux.com/index.html?apache_mod_lsapi.html

исправление файла apache.pm

Патч был применен правильно ...

Добавлен крюк для System :: upcp для перехвата реестра

Домены, обработанные ea-php56:

tstdomain01.com - lsapi

tstdomain02.com - suphp

Существуют домены, которые используют mod_lsapi через опцию --enable-domain.

Эта опция устарела для EA4, а mod_lsapi переключается на включение и выключение

диспетчер MultiPHP (/ Home / Software / MultiPHP Manager)

Вы хотите включить mod_lsapi через MultiPHP Manager для ea-php56?

Домены, которые используют suphp, также будут переключены на обработчик lsapi.

Если вы наберете N, то mod_lsapi останется включенным в этих доменах.

Однако включение mod_lsapi для новых доменов теперь возможно только через MultiPHP Manager.

Вы хотите продолжить? [y / N] y

Установка ea-php56 в обработчик lsapi ...

Построено /etc/apache2/conf/httpd.conf ОК

Переконфигурация завершена

5. Если выбрано N, то mod_lsapi перейдет к новому типу интеграции с cPanel и восстановит файлы php.conf и suphp.conf. Mod_lsapi по-прежнему будет включен для доменов, например, в файле tstdomain01.com throw .htaccess.

6. Если выбрано Y, то отображаемая версия PHP перейдет к обработчику lsapi. В соответствии с примером tstdomain01.com tstdomain02.com, использующий ea-php56, будет переключен на обработчик lsapi.

Установка:

$ yum clean all
$ yum update liblsapi liblsapi-devel

Читайте http://docs.cloudlinux.com/index.html?mod_lsapi_installation.html (Установка на серверах cPanel с разделом EasyApache 4).

http24 для CloudLinux 6

Обновление:

$ yum clean all
$ yum update liblsapi liblsapi-devel httpd24-mod_lsapi

Установка:

$ yum install liblsapi liblsapi-devel httpd24-mod_lsapi
KernelCare "Extra" Patchset для CentOS 6 и 7 с ...
Теперь вы можете предоставлять лицензии Imunify360 через ...

Комментарии 7

Итак, где этот «веб-интерфейс для cPanel»? Я не могу найти его ...

Итак, где этот «веб-интерфейс для cPanel»? Я не могу найти его ...

Следуйте инструкциям для полного преобразования:

Для завершения преобразования после обновления должны быть выполнены команды, описанные в http://docs.cloudlinux.com/index.html?mod_lsapi_installation.html (обновление mod_lsapi на серверах cPanel с помощью раздела EasyApache 4).

Пожалуйста, следуйте инструкциям для полного преобразования: [i] Для завершения преобразования после обновления команды, описанные в http://docs.cloudlinux.com/index.html?mod_lsapi_installation.html (Обновление mod_lsapi на серверах cPanel с Раздел EasyApache 4). [/ I]

MODLS-193: добавлена ​​специальная поддержка php.ini;

как включить пользовательскую загрузку php.ini?

пробовали в /etc/apache2/conf.modules.d/001_mod_lsapi.conf

# Включить mod_lsapi
LoadModule lsapi_module modules / mod_lsapi.so


lsapi_phpini On


но все еще не работает?

MODLS-193: добавлена ​​специальная поддержка php.ini; как включить пользовательскую загрузку php.ini? попробовали в /etc/apache2/conf.modules.d/001_mod_lsapi.conf # Включить mod_lsapi LoadModule lsapi_module modules / mod_lsapi.so lsapi_phpini Включено, но все еще не работает?

Новая функциональность контролируется глобальным вариантом lsapi_process_phpini.

В соответствии с https://docs.cloudlinux.com/apache_mod_lsapi.html у нас есть следующие варианты:

    \ П \ п
lsapi_process_phpini = Включить или отключить директиву phpini_ *. Значение по умолчанию: Off

    \ П \ п
lsapi_phpini (см. приведенную выше ссылку для объяснения)

Новая функциональность контролируется глобальным вариантом lsapi_process_phpini. Согласно https://docs.cloudlinux.com/apache_mod_lsapi.html, мы имеем следующие опции: [list] \ n \ n [/ list] lsapi_process_phpini = Включить или отключить директиву phpini_ *. Значение по умолчанию: Off и [list] \ n \ n [/ list] lsapi_phpini (см. Приведенную выше ссылку для объяснения)

Включено
http://prntscr.com/iy2gw8

перезагрузили apache, но все равно ничего
http://prntscr.com/iy2hc0
http://prntscr.com/iy2hva

Включено На http://prntscr.com/iy2gw8 перезагружен apache, но все равно ничего http://prntscr.com/iy2hc0 http://prntscr.com/iy2hva

Пожалуйста, обратитесь в нашу службу поддержки, отправив билет в https://cloudlinux.zendesk.com

Пожалуйста, обратитесь в нашу службу поддержки, отправив билет по адресу https://cloudlinux.zendesk.com
Гость - Моррис в воскресенье, 29, апрель, 2018, 13: 03.

любые обновления для добавления этого в plesk тоже, который не сломается, как тот, который упоминается в 2014?

любые обновления для добавления этого в plesk тоже, который не сломается, как тот, который упоминается в 2014?
Уже зарегистрирован? ВОЙТИ
гость
Понедельник, 21 октября 2019

Защитный код изображение